[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'sqldb' (#fcl)

# TSQLConnection.LogEvents

Filter for events to log

## Declaration

Source position: sqldb.pp line 180

`published property TSQLConnection.LogEvents : TDBEventTypes read FLogEvents write FLogEvents default LogAllEvents;`

## Description

LogEvents can be used to filter the events which should be sent to the OnLog and GlobalDBLogHook event handlers. Only event types that are listed in this property will be sent.

## See also

GlobalDBLogHook |  | Global logging hook
TSQLConnection.OnLog |  | Event handler for logging events

Documentation generated on: Feb 26 2014